"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.mockIntegration = void 0;
// Mock implementation of AuthIntegration
exports.mockIntegration = {
    signIn: () => __awaiter(void 0, void 0, void 0, function* () { return ({ success: true }); }),
    signOut: () => __awaiter(void 0, void 0, void 0, function* () { return ({ success: true }); }),
    signUp: () => __awaiter(void 0, void 0, void 0, function* () { return ({ success: true }); }),
    updateSecurityContext: (context) => __awaiter(void 0, void 0, void 0, function* () {
        context.isAuthenticated = true;
        context.username = 'username';
        context.accessToken = 'accessToken';
        context.idToken = 'idToken';
        context.refreshToken = 'refreshToken';
    }),
    lockAccount: () => __awaiter(void 0, void 0, void 0, function* () { return ({ success: true }); }),
    resetPassword: () => __awaiter(void 0, void 0, void 0, function* () { return ({ success: true }); }),
    confirmSignUp: () => __awaiter(void 0, void 0, void 0, function* () { return ({ success: true }); }),
    resendSignUp: () => __awaiter(void 0, void 0, void 0, function* () { return ({ success: true }); }),
    forgotPassword: () => __awaiter(void 0, void 0, void 0, function* () { return ({ success: true }); }),
    forgotPasswordConfirmationCode: () => __awaiter(void 0, void 0, void 0, function* () { return ({ success: true }); }),
    lockSession: () => __awaiter(void 0, void 0, void 0, function* () { return ({ success: true }); }),
    unlockSession: () => __awaiter(void 0, void 0, void 0, function* () { return ({ success: true }); }),
    unlockAccount: (username) => __awaiter(void 0, void 0, void 0, function* () { return ({ success: true }); }),
    disableAccount: (username) => __awaiter(void 0, void 0, void 0, function* () { return ({ success: true }); }),
    enableAccount: (username) => __awaiter(void 0, void 0, void 0, function* () { return ({ success: true }); }),
    refreshToken: () => __awaiter(void 0, void 0, void 0, function* () { return ({ success: true }); }),
    hasPermission: (permission) => __awaiter(void 0, void 0, void 0, function* () { return true; }),
    definePermission: (permission) => __awaiter(void 0, void 0, void 0, function* () { return ({ success: true }); }),
    validatePermission: (permission) => true,
    defineRole: (role, permissions) => __awaiter(void 0, void 0, void 0, function* () {
        return ({
            success: true,
        });
    }),
    assignRole: (username, role) => __awaiter(void 0, void 0, void 0, function* () { return ({ success: true }); }),
    hasRole: (username, role) => __awaiter(void 0, void 0, void 0, function* () { return true; }),
    addCustomClaim: (claim, value) => { },
};
